//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Windows.Forms;


namespace MindFusion.Reporting.WinForms.Samples.CS.Invoices
{
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();

			var form = new ProgressForm();
			form.Show(this);
			form.Activate();
			Application.DoEvents();

			report = new InvoicesReport();
			reportViewer.Report = report;

			form.Hide();
			form.Dispose();
		}

		/// <summary>
		/// Handles the Click event of the Preview menu.
		/// </summary>
		private void menuItemPreview_Click(object sender, EventArgs e)
		{
			var printer = new ReportPrinter();
			printer.Report = reportViewer.Report;

			var options = new PreviewOptions();
			options.TitleBarIcon = this.Icon;

			var preview = new PrintPreviewForm();
			preview.Text = "Invoices (Preview)";
			preview.Document = printer;
			preview.ShowDialog();
		}

		/// <summary>
		/// Handles the Click event of the Exit menu.
		/// </summary>
		private void menuItemExit_Click(object sender, EventArgs e)
		{
			this.Close();
		}

		/// <summary>
		/// Handles the Click event of the 'One Invoice Per Page' menu.
		/// </summary>
		private void menuItemPerPage_Click(object sender, EventArgs e)
		{
			menuItemPerPage.Checked = true;
			menuItemContinuous.Checked = false;

			report.Continuous = false;
			report.Run();

			reportViewer.Invalidate();
		}

		/// <summary>
		/// Handles the Click event of the Continuous menu.
		/// </summary>
		private void menuItemContinuous_Click(object sender, EventArgs e)
		{
			menuItemPerPage.Checked = false;
			menuItemContinuous.Checked = true;

			report.Continuous = true;
			report.Run();

			reportViewer.Invalidate();
		}


		private InvoicesReport report;
	}
}
